<template>
    <div class="inputWrapper">
        <input 
            id="search"
            name="search"
            v-model="searchValue"
            @input="handleInput"
        />
    </div>
</template>

<script>
    import axios from 'axios';
    import debounce from 'lodash.debounce';

    export default {
        name: 'SearchInput',
        data() {
            return {
                searchValue: '',
                results: []
            }
        },
        methods: {
            // eslint-disable-next-line
            handleInput: debounce(function() {
                axios.get(`${API}?q=${this.searchValue}&media_type=image`)
                .then((response) => {
                    this.results = response.data.collection.items;
                })
                .catch((error) => {
                    console.log(error);
                })
            }, 500)
         }
 }
</script>

<style lang="scss" scoped>
  .inputWrapper {
    display: flex;
    flex-flow: column nowrap;
    width: 250px;
    margin: 40px 0 0 0;

    label {
      font-family: 'Montserrat', sans-serif;
    }
    input {
      border: 0;
      border-bottom: 1px solid white;
      background: transparent;
      color: white;
      text-align: center;
      font-size: 30px;
      padding: 10px;
      transition: box-shadow 0.2s;
    }
    input:focus {
        outline: none;
        box-shadow: 0 12px 15px -9px rgba(255, 255, 255, 0.4);
    }
  }
</style>

